#################################################
#                                               #
#      Adjustment of Route for ALFEE-2          #
#                                               #
#      2010/09/28                   Ohta        #
#                                               #
#################################################

route_search_repair -loop 100 \
         -rerun_drc \
         -trim_antenna_of_user_wires

route_global

route_spreadwires \
         -timing_driven \
         -search_repair_loop 5
route_search_repair -loop 100 \
         -rerun_drc \
         -trim_antenna_of_user_wires

set_parameter \
        -module droute \
        -name  doAntennaConx \
        -value 4
source  -e -v ../lib/antenna_rule_icc.sc
report_antenna_rules
report_antenna_ratio
route_search_repair \
        -rerun_drc \
        -loop 1
insert_diode
connection_pg

verify_route -antenna

insert_stdcell_filler \
	 -cell_without_metal $filler_without_metal_list \
	 -connect_to_power {VDD}  -connect_to_ground {VSS}

connection_pg
save_mw_cel 
verify_drc \
       -read_cell_view \
       -check_via_size \
       -check_enclosure \
       -check_end_of_line \
       -check_via_farm \
       -check_fat_poly_contact \
       -check_blockage
verify_lvs
verify_pg_nets  \
       -macro_pin_connection all \
       -pad_pin_connection all \
       -error_cell ${top_design}_pg

set_delay_calculation -arnoldi
report_constraints
report_timing

connection_pg

