###############################################
#                                             #
#          Environmental Settings             #
#                                             #
#    2010/09/23                 Ohta          #                    
#                                             #
###############################################


set LIB_DIR "/nfs/process/es65/eShuttle/Standerdcell_IOcell/cs202_sciolib_12lay_20081216/db"
set IO_DIR "/nfs/process/es65/eShuttle/Standerdcell_IOcell/cs202_sciolib_12lay_20081216/db"
set DW_DIR "/nfs/cad/synopsys/synthesis/syn_vA-2007.12-SP3/libraries/syn/"

set std_max_libs {cs202sz_uc_core_s_p125_105v.db cs202sz_uc_nscan_s_p125_105v.db cs202sz_uc_scan_s_p125_105v.db cs202sz_uc_eco_s_p125_105v.db cs202sz_uc_dscan_s_p125_105v.db}
set std_typ_libs {cs202sz_uc_core_t_p25_12v.db cs202sz_uc_nscan_t_p25_12v.db cs202sz_uc_scan_t_p25_12v.db cs202sz_uc_eco_t_p25_12v.db cs202sz_uc_dscan_t_p25_12v.db}
set std_min_libs {cs202sz_uc_core_f_m40_13v.db cs202sz_uc_nscan_f_m40_13v.db cs202sz_uc_scan_f_m40_13v.db cs202sz_uc_eco_f_m40_13v.db cs202sz_uc_dscan_f_m40_13v.db}

set iob_max_libs {cs202_io_s_p125_m_105v_30v.db}
set iob_typ_libs {cs202_io_t_p25_m_12v_33v.db}
set iob_min_libs {cs202_io_f_m40_m_13v_36v.db}

set LIB_MAX_FILE [concat $std_max_libs $iob_max_libs]
set LIB_TYP_FILE [concat $std_typ_libs $iob_typ_libs]
set LIB_MIN_FILE [concat $std_min_libs $iob_min_libs]

set DW_FILE "dw_foundation.sldb"

set link_path "*"

set search_path [concat $LIB_DIR $DW_DIR $IO_DIR $search_path]
set link_library [concat $LIB_MAX_FILE $LIB_TYP_FILE $LIB_MIN_FILE $DW_FILE {*}]
set target_library [concat $LIB_MAX_FILE $LIB_TYP_FILE $LIB_MIN_FILE]
set symbol_library [concat $LIB_MAX_FILE $LIB_TYP_FILE $LIB_MIN_FILE "EXD.sdb"]
set synthetic_library [concat $DW_FILE]

set auto_restore_mw_cel_lib_setup true


# ====================================================
# Path Settings
# ====================================================

#milkyway
set top_design  "RING_MULT"
set mw_path     "../milkyway"
set libs        "CS202SZ CS202IO CS202RPGTAP UNSIGN_MULT"
set tech_file   "../lib/tech.tf"

#TLUPlus
set tlup_map    "../lib/layer.map"
set tlup_max    "../lib/TLUPlus_mfe.worst"
set tlup_min    "../lib/TLUPlus_mfe.best"

#SDC
#set sdc_file    "../../net/Ring/MULT_UNIT_ring.sdc"

#SDF
#set sdf_file    "../../net/MULT_UNIT.sdf"
